package com.lovenav.entity;

import java.io.Serializable;
import lombok.Data;

/**
 * Entity
 * 图标表
 * ln_collect_icon_list
 */
@Data
public class CollectIconList implements Serializable {
    CollectIconList(){
        this.status = 0;
    }
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getUrl_id() {
        return url_id;
    }

    public void setUrl_id(int url_id) {
        this.url_id = url_id;
    }

    public String getIcon_url() {
        return icon_url;
    }

    public void setIcon_url(String icon_url) {
        this.icon_url = icon_url;
    }

    public String getQr_url() {
        return qr_url;
    }

    public void setQr_url(String qr_url) {
        this.qr_url = qr_url;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    private Long id;

    /**
     * 网址id
     */
    private Integer url_id;

    /**
     * 图片地址
     */
    private String icon_url;

    /**
     * 二维码地址
     */
    private String qr_url;

    /**
     * 状态
     */
    private Integer status;

    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CollectIconList other = (CollectIconList) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getUrl_id() == null ? other.getUrl_id() == null : this.getUrl_id().equals(other.getUrl_id()))
            && (this.getIcon_url() == null ? other.getIcon_url() == null : this.getIcon_url().equals(other.getIcon_url()))
            && (this.getQr_url() == null ? other.getQr_url() == null : this.getQr_url().equals(other.getQr_url()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUrl_id() == null) ? 0 : getUrl_id().hashCode());
        result = prime * result + ((getIcon_url() == null) ? 0 : getIcon_url().hashCode());
        result = prime * result + ((getQr_url() == null) ? 0 : getQr_url().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", url_id=").append(url_id);
        sb.append(", icon_url=").append(icon_url);
        sb.append(", qr_url=").append(qr_url);
        sb.append(", status=").append(status);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}